System.Design 2.0.0.0 System.Drawing.Design.UITypeEditor

An instance of the class is a object that can be used at design time to select and edit a collection of expression bindings, and assign the expressions to a control property.

A designer host, such as vsprvslong, uses the and class implementations with the and classes to set the expression bindings for control properties at design time, and the class to persist the expressions for run time. Expression strings reference a localizable resource, an application setting, a connection string, or a custom expression type. The expression string is bound to the control property at design time, and then used at run time to determine the value for the property.

Provides a user interface for selecting and editing an expressions binding collection at design time.

- Constructor
  2.0.0.0
  To be added.

  Initializes a new instance of the class.

- Method
  2.0.0.0
  System.Object `` `` ``

  The method launches the user interface for editing the object. The designer host calls the method when you attempt to edit the value of a property that this editor is associated with. The input service provider is used to obtain any editing services that are required within the .

  A designer host, such as vsprvslong, uses the and class implementations with the and classes to set the expression bindings for control properties at design time, and the class to persist the expressions for run time. Expression strings reference a localizable resource, an application setting, a connection string, or a custom expression type. The expression string is bound to the control property at design time, and then used at run time to determine the value for the property.

  If users cancel the user interface without modifying the expression binding collection, the method returns the input parameter.

  Edits the value of the specified object with the specified service provider and context.

  An object containing the selected expressions; otherwise, if no expressions are selected, the object.

  An object that can be used to gain additional context information such as the associated control. A service provider object through which editing services can be obtained. An instance of the object being edited.
- Method
  2.0.0.0
  System.Drawing.Design.UITypeEditorEditStyle ``

  The method returns the value by default.

  If is not supported in the specified context, the returns .

  Gets the editing style that is associated with this editor for the specified context.

  An enumeration value indicating the editing style for the provided user interface.

  An object that can be used to gain additional context information.